RagTime5ClusterManager::Cluster Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
RagTime5ClusterManager::Cluster Struct Reference

the cluster data More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::Cluster:

## Public Types
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_Script, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterB, C_ClusterC, C_Unknown }
| the cluster type More...

## Public Member Functions
| Cluster ()
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...

## Detailed Description

the cluster data

## Member Enumeration Documentation

enum RagTime5ClusterManager::Cluster::Type

the cluster type

Enumerator
C_ColorPattern |
C_Fields |
C_Layout |
C_Pipeline |
C_Root |
C_Script |
C_ColorStyles |
C_FormatStyles |
C_GraphicStyles |
C_TextStyles |
C_UnitStyles |
C_ClusterB |
C_ClusterC |
C_Unknown |

## Constructor & Destructor Documentation

RagTime5ClusterManager::Cluster::Cluster | ( |  | ) |
| inline

constructor

virtual RagTime5ClusterManager::Cluster::~Cluster | ( |  | ) |
| inlinevirtual

destructor

## Member Data Documentation

std::vector<int> RagTime5ClusterManager::Cluster::m_clusterIdsList

the cluster ids

std::vector<Link> RagTime5ClusterManager::Cluster::m_conditionFormulaLinks

the conditions formula links

Referenced by RagTime5Parser::readClusterLayoutData(), and RagTime5Parser::readClusterRootData().

Link RagTime5ClusterManager::Cluster::m_dataLink

the main data link

Referenced by RagTime5Spreadsheet::readChartCluster(), RagTime5Parser::readClusterFieldsData(), RagTime5Parser::readClusterLayoutData(), RagTime5Parser::readClusterPipelineData(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5Parser::readFormats(), RagTime5Graph::readGraphicCluster(), RagTime5Parser::readStructZone(), RagTime5Parser::readUnknownClusterBData(), and RagTime5Parser::readUnknownClusterCData().

Link RagTime5ClusterManager::Cluster::m_fieldClusterLink

the field cluster links (def and pos)

Referenced by RagTime5Parser::readClusterRootData().

bool RagTime5ClusterManager::Cluster::m_hiLoEndian

the cluster hiLo endian

Referenced by RagTime5Parser::readClusterRootData(), and RagTime5Text::readLinkZones().

std::vector<Link> RagTime5ClusterManager::Cluster::m_linksList

the link list

Referenced by RagTime5Parser::readClusterFieldsData(), RagTime5Parser::readClusterLayoutData(), RagTime5Parser::readClusterPipelineData(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5Graph::readColorPatternZone(), RagTime5Parser::readFormats(), RagTime5Parser::readUnknownClusterBData(), and RagTime5Parser::readUnknownClusterCData().

Link RagTime5ClusterManager::Cluster::m_nameLink

the name link

Referenced by RagTime5Parser::readClusterLayoutData(), RagTime5Parser::readClusterScriptData(), RagTime5Parser::readFormats(), and RagTime5Parser::readStructZone().

std::vector<Link> RagTime5ClusterManager::Cluster::m_settingLinks

the settings links

Referenced by RagTime5Parser::readClusterLayoutData(), and RagTime5Parser::readClusterRootData().

Type RagTime5ClusterManager::Cluster::m_type

the cluster type

int RagTime5ClusterManager::Cluster::m_zoneId

the zone id

Referenced by RagTime5Parser::readClusterRootData().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.hxx